Bug 163681 - Update math/coinmp to version 1.6.0
Summary: Update math/coinmp to version 1.6.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-28 20:50 UTC by Pedro F. Giffuni
Modified: 2012-01-04 01:40 UTC (History)
0 users

See Also:


Attachments
file.diff (11.29 KB, patch)
2011-12-28 20:50 UTC, Pedro F. Giffuni
no flags Details | Diff
patch-coinmp.txt (11.82 KB, patch)
2011-12-29 01:52 UTC, Pedro F. Giffuni
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro F. Giffuni 2011-12-28 20:50:11 UTC
Update to latest version.

This now includes CLP 1.14.5, which is more recent than math/clp.
This library will also be used for Apache OpenOffice in the
near future.

Fix: Patch attached with submission follows:
Comment 1 Wen Heping freebsd_committer 2011-12-29 01:07:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

I'll take it.
Comment 2 Pedro F. Giffuni 2011-12-29 01:52:30 UTC
This new version (attached) uses DOCSDIR and respects
NOPORTDOCS.
I also tested building with clang.
Comment 3 dfilter service freebsd_committer 2012-01-04 00:47:34 UTC
wen         2012-01-04 00:47:20 UTC

  FreeBSD ports repository

  Modified files:
    math/coinmp          Makefile distinfo pkg-plist 
  Added files:
    math/coinmp/files    patch-Cbc__src__CbcSolver.cpp 
  Removed files:
    math/coinmp/files    patch-CoinUtils+src+CoinParam.hpp 
  Log:
  - update to 1.6.0
  - respect NOPORTDOCS
  
  PR:             ports/163681
  Submitted by:   Pedro Giffuni <giffunip@tutopia.com> (maintainer)
  
  Revision  Changes    Path
  1.2       +14 -1     ports/math/coinmp/Makefile
  1.2       +2 -2      ports/math/coinmp/distinfo
  1.1       +14 -0     ports/math/coinmp/files/patch-Cbc__src__CbcSolver.cpp (new)
  1.2       +0 -10     ports/math/coinmp/files/patch-CoinUtils+src+CoinParam.hpp (dead)
  1.2       +131 -96   ports/math/coinmp/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Wen Heping freebsd_committer 2012-01-04 01:40:56 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!